summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorBrian C. Lane <bcl@redhat.com>2021-07-12 15:26:36 -0700
committerBrian C. Lane <bcl@redhat.com>2021-07-12 15:26:36 -0700
commit4a053e111beacbeabeddc20c71d0215aedf219fb (patch)
treec47faf281dc6868c8562e17dcf53279efc704646 /tests
parentea1a97b57d4e84005c66bc9c05f2e7c9244b5118 (diff)
downloadparted-4a053e111beacbeabeddc20c71d0215aedf219fb.tar.gz
tests/t1100: Change dev_size_mb to 10
This is backed by memory, so using more than is needed limits the size of the system it can run on.
Diffstat (limited to 'tests')
-rwxr-xr-xtests/t1100-busy-label.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/tests/t1100-busy-label.sh b/tests/t1100-busy-label.sh
index f1a13df..71b847c 100755
--- a/tests/t1100-busy-label.sh
+++ b/tests/t1100-busy-label.sh
@@ -21,11 +21,11 @@ require_root_
require_scsi_debug_module_
ss=$sector_size_
-scsi_debug_setup_ sector_size=$ss dev_size_mb=90 > dev-name ||
+scsi_debug_setup_ sector_size=$ss dev_size_mb=10 > dev-name ||
skip_ 'failed to create scsi_debug device'
dev=$(cat dev-name)
-parted -s "$dev" mklabel msdos mkpart primary fat32 1 40 > out 2>&1 || fail=1
+parted -s "$dev" mklabel msdos mkpart primary fat32 1 4 > out 2>&1 || fail=1
compare /dev/null out || fail=1
wait_for_dev_to_appear_ ${dev}1 || fail=1
mkfs.vfat ${dev}1 || fail=1
@@ -48,7 +48,7 @@ compare exp out || fail=1
# Adding a partition must succeed, even though another
# on this same device is mounted (active).
-parted -s "$dev" mkpart primary fat32 41 85 > out 2>&1 || fail=1
+parted -s "$dev" mkpart primary fat32 5 10 > out 2>&1 || fail=1
compare /dev/null out || fail=1
parted -s "$dev" u s print